Bug 1431103 - prelude-correlator invalid python3 dependencies in epel7
Summary: prelude-correlator invalid python3 dependencies in epel7
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: prelude-correlator
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Thomas Andrejak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-10 12:04 UTC by Tuomo Soini
Modified: 2017-03-30 21:20 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-03-30 21:20:15 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2017-03-10 12:04:20 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1419226#c14

I really don't like at all that I report clear problem in package in testing and it's still pushed to stable.

Please, fix the problem.

Here copy from original comment on package review.

Epel7 testing package is broken.

package: python3-prelude-correlator-3.1.0-1.el7.noarch
  unresolved deps: 
     python3-prelude >= 0:3.1.0
     python3-netaddr

python3-prelude-correlator should be be python%{python3_pkgversion}-prelude-correlator.

And those dependencies should use %{python3_pkgversion} macro.

Comment 1 Thomas Andrejak 2017-03-10 13:02:13 UTC
Indeed, really strange I don't see this. Thanks !

Comment 2 Fedora Update System 2017-03-10 13:31:32 UTC
prelude-correlator-3.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b42ee5f4fd

Comment 3 Fedora Update System 2017-03-11 12:50:06 UTC
prelude-correlator-3.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b42ee5f4fd

Comment 4 Tuomo Soini 2017-03-13 11:10:39 UTC
Still one error:

package: prelude-correlator-3.1.0-2.el7.noarch
  unresolved deps: 
     python3-prelude-correlator >= 0:3.1.0

Comment 5 Fedora Update System 2017-03-14 23:00:06 UTC
prelude-correlator-3.1.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3f7b89511a

Comment 6 Fedora Update System 2017-03-15 18:50:42 UTC
prelude-correlator-3.1.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3f7b89511a

Comment 7 Fedora Update System 2017-03-30 21:20:15 UTC
prelude-correlator-3.1.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.